Skip to content

Forgive the most recent missed contribution day for yourself (costs XP)

POST
/contributions/forgive-self
curl --request POST \
--url https://api.ethos.network/api/v2/contributions/forgive-self \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Successful response

Media typeapplication/json
object
ok
required
boolean
message
required
string
code
string
Allowed value: XP_FROZEN
forgivenDate
string
updated
number

Example

{
"code": "XP_FROZEN"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}